ECHO OFF
CLS
IF 0620 == %1 GOTO LEVELOK
ECHO ' Incorrect upgrade version specified.  Please read the following before
ECHO ' trying again.
:ERROR1
ECHO '
ECHO '  This batch file should be invoked with the command
ECHO '
ECHO '                RFIX 0620 XXXXX (SEE NOTE)
ECHO '
ECHO '  "0620" is the parameter passed to this .BAT file that indicates
ECHO '  this is for upgrading RBBS-PC version CPC16-1A to CPC16-1A with fixes
ECHO '  up to 06/20/88.  And that you are using the .MRG files from
ECHO '  RFIX0620.ARC against the unmodified source code of RBBS-PC version
ECHO '  CPC16-1A.
ECHO '
ECHO '  NOTE:  Replace the XXXXX with one of the following:
ECHO '
ECHO ' QB1.00  if using the QuickBasic version 1.00 compiler (not recommended)
ECHO ' QB1.02  if using the QuickBasic version 1.02 compiler (not tested)
ECHO ' QB2.00  if using the QuickBasic version 2.00 compiler (not recommended)
ECHO ' QB2.01  if using the QuickBasic version 2.01 compiler (recommended)
ECHO ' QB3.00  if using the QuickBasic version 3.00 compiler (recommended)
ECHO ' QB4.00  if using the QuickBasic version 4.00 compiler (not tested)
ECHO ' IBM2.00 if using the unmodified IBM version 2.00 compiler (acceptable)
ECHO '
ECHO ' YOU MUST USE CAPITAL LETTERS FOR ALL RFIX.BAT PARAMETERS!
ECHO '
GOTO END
:LEVELOK
IF QB1.00 == %2 GOTO COMPILER
IF QB1.02 == %2 GOTO COMPILER
IF QB2.00 == %2 GOTO COMPILER
IF QB2.01 == %2 GOTO COMPILER
IF QB3.00 == %2 GOTO COMPILER
IF QB4.00 == %2 GOTO COMPILER
IF IBM2.00 == %2 GOTO COMPILER
ECHO ' Incorrect compiler specified!  Read the above before trying again.
GOTO ERROR1
:COMPILER
IF TURBO == %3 GOTO TURBO1
IF COMPILE == %3 GOTO COMPILE1
IF LINK == %3 GOTO TURBO5
CLS
ECHO '  This .BAT file is supplied to assist you in upgrading the un-modified
ECHO '  CPC16-1A source code to version CPC16-1A with fixes up to 04/24/88.
ECHO '  This .BAT file makes some fundamental assumptions about your
ECHO '  configuration:
ECHO '     1.  BLED version 1.3 dated April 12, 1986 or later is available.
ECHO '     2.  1.8 MB of disk storage is available to contain all the
ECHO '         files necessary to apply, compile and link the revised
ECHO '         version of RBBS-PC that contains these temporary fixes.
ECHO '     3.  Either the QuickBASIC (versions 1.0/1.02/2.00/2.01/3.00/4.00)
ECHO '         or the unmodified IBM Version 2.0 BASIC compiler is available.
ECHO '
ECHO '  There is no "ASSUMED" compiler in this .BAT file.
ECHO '  You have selected the use of the %2 compiler options.
ECHO '
ECHO '  If the above assumptions are incorrect, hit Ctrl-Break to
ECHO '  terminate this batch job.  Otherwise .....
pause
CLS
ECHO '
ECHO '  The RFIX.BAT file requires access to:
ECHO '  ANSI.OBJ        BDRIVEC2.OBJ  XMODEM.OBJ   RBBS-PC.BAS   RBBSDV.OBJ
ECHO '  BCOMxx.LIB**    BLED.EXE      LINK.EXE**   RBBSSUB1.BAS  RBBSUTIL.OBJ
ECHO ' (xx=10/20/30/40) GIVEBK30.OBJ  PC-NET.OBJ   RBBSSUB2.BAS  RBBSML.OBJ
ECHO '                                QBARCV2.OBJ  RBBSSUB3.BAS  XMODEM.OBJ
IF IBM2.00 == %2 GOTO IBM2
IF QB3.00 == %2 GOTO QBB3
IF QB4.00 == %2 GOTO QBB4
ECHO '  BASCOM.EXE**   GWCOM.OBJ**   LINKFIX3.DAT RBBS-VAR.BAS  10-NET.OBJ
GOTO BYPASS1
:QBB3
ECHO '  QB.EXE**       GWCOM.OBJ**   LINKFIX3.DAT RBBS-VAR.BAS  10-NET.OBJ
GOTO BYPASS1
:QBB4
ECHO '  BC.EXE**                     LINKFIX4.DAT RBBS-VAR.BAS  10-NET.OBJ
GOTO BYPASS1
:IBM2
ECHO '  BASCOM.EXE**   IBMCOM.OBJ**               RBBS-VAR.BAS  10-NET.OBJ
:BYPASS1
ECHO '  NOTE:  ** indicates files supplied with the BASIC compiler
ECHO '
ECHO '  IF access to these files is not available from the drive and/or
ECHO '  the DOS subdirectory that you are running this .BAT file out of
ECHO '  hit Ctrl-Break to terminate this batch file.  If access to these
ECHO '  files is available to RFIX.BAT ......
pause
ECHO '  The following files from RFIX0620.ARC must be unarchived and put
ECHO '  in the same directory as the above pre-existing files:
ECHO '
ECHO '    R-PC%1.MRG      Note:  The "%1" indicates that these are .MRG
ECHO '    RSB2%1.MRG             files to be applied to the unmodified
ECHO '    RSB3%1.MRG             source code for CPC16-1A.
ECHO '    RVAR%1.BAS
ECHO '
ECHO '  If all of the above files are available as indicated above....
pause
ECHO '  The basic sequence of what is about to happen is:
ECHO '
ECHO '     Original CPC16-1A                 %1.MRG file to upgrade
ECHO '         source code     BLED.CNFG       to CPC16-1A with fixes up to
ECHO '               !             !                !      06/20/88.
ECHO '              \!/           \!/              \!/
ECHO '             +---------------------------------+
ECHO '             !             BLED                !======+Modified BAS file
ECHO '             +---------------------------------+              !
ECHO '                                                             \!/
ECHO '                                                   +--------------------+
ECHO '                                                   !   BASIC compiler   !
ECHO '                                                   +--------------------+
ECHO '                                                              !
ECHO '                +----------------------+                     \!/
ECHO '                !         LINK         !+===========Modified OBJ file
ECHO '                +----------------------+
ECHO '                            !
ECHO '                           \!/
ECHO '                  Modified EXE file
ECHO '
ECHO ' If you have reviewed this .BAT file and agree to take the sole
ECHO ' responsibility for what is about to happen .....
PAUSE
:TURBO1
CLS
ECHO ON
RENAME RBBS-VAR.BAS RBBS-VAR.OLD
COPY RVAR%1.BAS RBBS-VAR.BAS
BLED /B/L RBBS-PC.BAS R-PC%1.MRG R-PC%1.BAS  WARNR-PC
CLS
BLED /B/L RBBSSUB2.BAS RSB2%1.MRG RSB2%1.BAS WARNSUB2
CLS
BLED /B/L RBBSSUB3.BAS RSB3%1.MRG RSB3%1.BAS WARNSUB3
ECHO OFF
:COMPILE1
IF QB2.00 == %2 GOTO QB2MAIN
IF QB2.01 == %2 GOTO QB2MAIN
IF QB3.00 == %2 GOTO QB2MAIN
IF QB4.00 == %2 GOTO QB4MAIN
IF IBM2.00 == %2 GOTO IBMMAIN
ECHO ON
BASCOM R-PC%1.BAS,,NUL,/C:4096/O;
ECHO OFF
GOTO MAINEND
:QB2MAIN
ECHO ON
QB R-PC%1.BAS,/C:4096/O;
ECHO OFF
GOTO MAINEND
:QB4MAIN
ECHO ON
BC R-PC%1.BAS,,NUL,/O/C:4096/S
ECHO OFF
GOTO MAINEND
:IBMMAIN
ECHO ON
BASCOM R-PC%1.BAS,,NUL,/C:4096/O/N;
ECHO OFF
:MAINEND
IF TURBO == %3 GOTO TURBO2
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise .....
pause
:TURBO2
IF QB2.00 == %2 GOTO QB2SUB1
IF QB2.01 == %2 GOTO QB2SUB1
IF QB3.00 == %2 GOTO QB2SUB1
IF QB4.00 == %2 GOTO QB4SUB1
IF IBM2.00 == %2 GOTO IBMSUB1
ECHO ON
BASCOM RBBSSUB1.BAS,,NUL,/X/O;
ECHO OFF
GOTO SUB1END
:QB2SUB1
ECHO ON
QB RBBSSUB1.BAS,/X/O;
ECHO OFF
GOTO SUB1END
:QB4SUB1
ECHO ON
BC RBBSSUB1.BAS,,NUL,/X/O;
ECHO OFF
GOTO SUB1END
:IBMSUB1
ECHO ON
BASCOM RBBSSUB1.BAS,,NUL,/X/O/N;
ECHO OFF
:SUB1END
IF TURBO == %3 GOTO TURBO3
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise ....
pause
:TURBO3
IF QB2.00 == %2 GOTO QB2SUB2
IF QB2.01 == %2 GOTO QB2SUB2
IF QB3.00 == %2 GOTO QB2SUB2
IF QB4.00 == %2 GOTO QB4SUB2
IF IBM2.00 == %2 GOTO IBMSUB2
ECHO ON
BASCOM RSB2%1.BAS,,NUL,/O;
ECHO OFF
GOTO SUB2END
:QB2SUB2
ECHO ON
QB RSB2%1.BAS,/O;
ECHO OFF
GOTO SUB2END
:QB4SUB2
ECHO ON
BC RSB2%1.BAS,,NUL,/O;
ECHO OFF
GOTO SUB2END
:IBMSUB2
ECHO ON
BASCOM RSB2%1.BAS,,NUL,/O/N;
ECHO OFF
:SUB2END
IF TURBO == %3 GOTO TURBO4
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise ....
pause
:TURBO4
IF QB2.00 == %2 GOTO QB2SUB3
IF QB2.01 == %2 GOTO QB2SUB3
IF QB3.00 == %2 GOTO QB2SUB3
IF QB4.00 == %2 GOTO QB4SUB3
IF IBM2.00 == %2 GOTO IBMSUB3
ECHO ON
BASCOM RSB3%1.BAS,,NUL,/O;
ECHO OFF
GOTO SUB3END
:QB2SUB3
ECHO ON
QB RSB3%1.BAS,/O;
ECHO OFF
GOTO SUB3END
:QB4SUB3
ECHO ON
BC RSB3%1.BAS,,NUL,/O;
ECHO OFF
GOTO SUB3END
:IBMSUB3
ECHO ON
BASCOM RSB3%1.BAS,,NUL,/O/N;
ECHO OFF
:SUB3END
IF TURBO == %3 GOTO TURBO5
ECHO ' If any errors were detected in this compile, terminate this batch job
ECHO ' with Ctrl-Break as something is not correct.  Otherwise ....
pause
:TURBO5
IF QB4.00 == %2 GOTO QBLINK
IF IBM2.00 == %2 GOTO IBMLINK1
ECHO ON
LINK R-PC%1+RBBSSUB1+RSB2%1+RSB3%1+@LINKFIX3.DAT
ECHO OFF
GOTO DELETER
:QBLINK
ECHO ON
LINK R-PC%1+RBBSSUB1+RSB2%1+RSB3%1+@LINKFIX4.DAT
ECHO OFF
GOTO DELETER
:IBMLINK1
LINK R-PC%1+RBBSSUB1+RSB2%1+IBMCOM+QBARCV2+ANSI+XMODEM+RBBSML+BDRIVEC2+PC-NET+10-NET+RBBSDV+RBBSUTIL,,NUL,;
:DELETER
ECHO OFF
ECHO ' Before using anything created by this .BAT file, make backup copies
ECHO ' of all files that you can not easily re-create.
ECHO ON
:END
